Debian Testing et Google Earth

Le
Gaëtan PERRIER
Bonjour,

Est-ce que quelqu'un a réussi à installer Google Earth sur une testing ?

Gaëtan

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/20100813023625.525b21de.gaetan.perrier@neuf.fr
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 3
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Roger Bouchard
Le #22467681
Bonjour!

J'ai justement essayé la manoeuvre hier et ça n'a pas fonctionné.

J'ai installé le paquet 'buils-essential', même résultat.

Je continue à fouiller.

Roger

Le 2010-08-12 20:36, Gaëtan PERRIER a écrit :
Bonjour,

Est-ce que quelqu'un a réussi à installer Google Earth sur une testing ?

Gaëtan





--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Thierry Chatelet
Le #22468051
On Friday 13 August 2010 02:36:25 Gaëtan PERRIER wrote:
Bonjour,

Est-ce que quelqu'un a réussi à installer Google Earth sur une testin g ?

Gaëtan



En administrateur
aptitude install googleearth-package lib32nss-mdns
En utilisateur
make-googleearth-package
Suit beaucoup de 'warning' mais le paquet se construit.
Ensuite en administrateur:
dpkg -i /home/thierry/googleearth_xxxxxxx-amd64.deb
Et voilà
Thierry

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Jean-Jacques Doti
Le #22468201
On Fri, 13 Aug 2010 08:07:11 -0400, Roger Bouchard wrote:
Bonjour!

J'ai justement essayé la manoeuvre hier et ça n'a pas fonctionné.

J'ai installé le paquet 'buils-essential', même résultat.

Je continue à fouiller.

Roger

Le 2010-08-12 20:36, Gaëtan PERRIER a écrit :
Bonjour,

Est-ce que quelqu'un a réussi à installer Google Earth sur une testing




?

Gaëtan






Bonjour,

Tu pourrais essayer d'installer le paquet googleearth-package d'unstable
(contrib) puis d'exécuter le script make-googleearth-package : ce script va
télécharger Google Earth puis fabriquer un paquet Debian -> ça facilite
beaucoup l'installation,la désinstallation et les mises à jour.

Jean-Jacques

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
François
Le #22469451
Le 13/08/2010 02:36, Gaëtan PERRIER a écrit :
Est-ce que quelqu'un a réussi à installer Google Earth sur une testing ?



Oui, en téléchargeant et en exécutant le fichier GoogleEarthlinux.bin
trouvé sur le site Google Earth
http://earth.google.fr/intl/fr/download-earth.html

Passer en root pour exécuter le script et l'installation se fera dans
/opt/. Sinon, l'installation se fait dans le dossier perso.

--
François

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/i44756$53v$
Gaëtan PERRIER
Le #22469791
Le Fri, 13 Aug 2010 21:43:21 +0200
François

Le 13/08/2010 02:36, Gaëtan PERRIER a écrit :
> Est-ce que quelqu'un a réussi à installer Google Earth sur une
> testing ?

Oui, en téléchargeant et en exécutant le fichier GoogleEarthlinux.b in
trouvé sur le site Google Earth
http://earth.google.fr/intl/fr/download-earth.html

Passer en root pour exécuter le script et l'installation se fera dans
/opt/. Sinon, l'installation se fait dans le dossier perso.




Tu l'as fait récemment? Parce que j'ai essayé hier soir (avec GE 5.2) et
déjà la procédure d'installation ne fonctionne pas. Après recherche sur
le net j'ai trouvé qu'il fallait bidouiller et utiliser l'installeur
gtk au lieu du gtk2 (voir ici
http://www.google.com/support/forum/p/earth/thread?tido59e15bf811d4e2&h l=en).
L'installation se déroule bien mais ensuite l'appli ne se lance pas...
J'ai donc encore cherché et j'ai trouvé qu'il y avait soit un problème
avec la libGL soit avec libexpat. J'ai donc essayé en téléchargeant u ne
libGL à mettre dans le répertoire de GE, l'appli se lance mais
l'affichage est perturbé. J'ai aussi essayé en préchargeant la libexp at
avec LD_PRELOAD, l'appli se lance également mais si l'affichage est
correct elle ne fonctionne pas correctement (recherches ne fonctionnent
entre autre). Au final j'ai cru comprendre que le problème viendrait de
la libbase de GE qui aurait des symboles en conflit avec la libexpat.
(voir ici
http://www.google.com/support/forum/p/earth/thread?tid]a393653cabeeb0&h l=en)
Mais au final je n'ai pas trouvé de solution valable et google ne
semble pas se préoccuper outre mesure du problème.

Gaëtan

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Gaëtan PERRIER
Le #22469781
Le Fri, 13 Aug 2010 16:24:18 +0200
Jean-Jacques Doti


On Fri, 13 Aug 2010 08:07:11 -0400, Roger Bouchard wrote:
> Bonjour!
>
> J'ai justement essayé la manoeuvre hier et ça n'a pas fonctionné.
>
> J'ai installé le paquet 'buils-essential', même résultat.
>
> Je continue à fouiller.
>
> Roger
>
> Le 2010-08-12 20:36, Gaëtan PERRIER a écrit :
>> Bonjour,
>>
>> Est-ce que quelqu'un a réussi à installer Google Earth sur une
>> testing
?
>>
>> Gaëtan
>>
>>
Bonjour,

Tu pourrais essayer d'installer le paquet googleearth-package
d'unstable (contrib) puis d'exécuter le script
make-googleearth-package : ce script va télécharger Google Earth puis
fabriquer un paquet Debian -> ça facilite beaucoup l'installation,la
désinstallation et les mises à jour.




Le script ne fonctionne pas. Il ne reconnaît pas la version de GE:

~$ make-googleearth-package
--2010-08-13 23:31:39--
http://dl.google.com/earth/client/current/GoogleEarthLinux.bin
Résolution de dl.google.com... 209.85.227.190, 209.85.227.93,
209.85.227.91, ... Connexion vers dl.google.com|
209.85.227.190|:80...connecté. requête HTTP transmise, en attente de la
réponse...200 OK Longueur: 31398898 (30M) [application/octet-stream]
Sauvegarde en : «GoogleEarthLinux.bin»

100%[======================= ===============>] 31 398 898 205K/s ds
3m 1s

2010-08-13 23:34:40 (169 KB/s) - «GoogleEarthLinux.bin» sauvegardé
[31398898/31398898]

Google Earth for GNU/Linux 5.2.1.1547
Unrecognized Google Earth version (use --force to build anyway)

Gaëtan

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Thierry Chatelet
Le #22469841
On Friday 13 August 2010 23:41:44 Gaëtan PERRIER wrote:
Le Fri, 13 Aug 2010 16:24:18 +0200

Jean-Jacques Doti > On Fri, 13 Aug 2010 08:07:11 -0400, Roger Bouchard >
> wrote:
> > Bonjour!
> >
> > J'ai justement essayé la manoeuvre hier et ça n'a pas fonctionn é.
> >
> > J'ai installé le paquet 'buils-essential', même résultat.
> >
> > Je continue à fouiller.
> >
> > Roger
> >
> > Le 2010-08-12 20:36, Gaëtan PERRIER a écrit :
> >> Bonjour,
> >>
> >> Est-ce que quelqu'un a réussi à installer Google Earth sur une
> >> testing
>
> ?
>
> >> Gaëtan
>
> Bonjour,
>
> Tu pourrais essayer d'installer le paquet googleearth-package
> d'unstable (contrib) puis d'exécuter le script
> make-googleearth-package : ce script va télécharger Google Earth pu is
> fabriquer un paquet Debian -> ça facilite beaucoup l'installation,la
> désinstallation et les mises à jour.

Le script ne fonctionne pas. Il ne reconnaît pas la version de GE:

~$ make-googleearth-package
--2010-08-13 23:31:39--
http://dl.google.com/earth/client/current/GoogleEarthLinux.bin
Résolution de dl.google.com... 209.85.227.190, 209.85.227.93,
209.85.227.91, ... Connexion vers dl.google.com|
209.85.227.190|:80...connecté. requête HTTP transmise, en attente de la
réponse...200 OK Longueur: 31398898 (30M) [application/octet-stream]
Sauvegarde en : «GoogleEarthLinux.bin»

100%[====================== ================>] 31 398 898 205K/s ds
3m 1s

2010-08-13 23:34:40 (169 KB/s) - «GoogleEarthLinux.bin» sauvegardé
[31398898/31398898]

Google Earth for GNU/Linux 5.2.1.1547
Unrecognized Google Earth version (use --force to build anyway)

Gaëtan



Désolé
En utilisateur
make-googleearth-package --force
Thierry

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Thierry Chatelet
Le #22469831
On Friday 13 August 2010 23:29:43 Gaëtan PERRIER wrote:
Le Fri, 13 Aug 2010 21:43:21 +0200

François > Le 13/08/2010 02:36, Gaëtan PERRIER a écrit :
> > Est-ce que quelqu'un a réussi à installer Google Earth sur une
> > testing ?
>
> Oui, en téléchargeant et en exécutant le fichier GoogleEarthlinux .bin
> trouvé sur le site Google Earth
> http://earth.google.fr/intl/fr/download-earth.html
>
> Passer en root pour exécuter le script et l'installation se fera dans
> /opt/. Sinon, l'installation se fait dans le dossier perso.

Tu l'as fait récemment? Parce que j'ai essayé hier soir (avec GE 5.2) et
déjà la procédure d'installation ne fonctionne pas. Après recherc he sur
le net j'ai trouvé qu'il fallait bidouiller et utiliser l'installeur
gtk au lieu du gtk2 (voir ici
http://www.google.com/support/forum/p/earth/thread?tido59e15bf811d4e2 &hl=
en). L'installation se déroule bien mais ensuite l'appli ne se lance pa s...
J'ai donc encore cherché et j'ai trouvé qu'il y avait soit un probl ème
avec la libGL soit avec libexpat. J'ai donc essayé en téléchargeant une
libGL à mettre dans le répertoire de GE, l'appli se lance mais
l'affichage est perturbé. J'ai aussi essayé en préchargeant la libe xpat
avec LD_PRELOAD, l'appli se lance également mais si l'affichage est
correct elle ne fonctionne pas correctement (recherches ne fonctionnent
entre autre). Au final j'ai cru comprendre que le problème viendrait de
la libbase de GE qui aurait des symboles en conflit avec la libexpat.
(voir ici
http://www.google.com/support/forum/p/earth/thread?tid]a393653cabeeb0 &hl=
en) Mais au final je n'ai pas trouvé de solution valable et google ne
semble pas se préoccuper outre mesure du problème.

Gaëtan



Gaëtan, je viens de le faire sur mon portable et sur la tour de mon vois in.
Les deux ont marchés. Évidement le --force est de rigueur maintenant ( il
fluctue avec les différentes versions!!!!)
Thierry

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Thierry Chatelet
Le #22469901
Comme toujours, je pars trop vite!!!
D' abord, tu vires toutes les anciennes instalations que tu avais faites,
sinon c'est toujours celles-ci qui démarrent. Ensuite tu fais:
En administrateur
aptitude install googleearth-package lib32nss-mdns
En utilisateur
make-googleearth-package --force
Suit beaucoup de 'warning' mais le paquet se construit.
Ensuite en administrateur:
dpkg -i /home/thierry/googleearth_xxxxxxx-amd64.deb

Chez moi ça marche.
Thierry

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Gaëtan PERRIER
Le #22469891
Le Fri, 13 Aug 2010 23:51:53 +0200
Thierry Chatelet

On Friday 13 August 2010 23:41:44 Gaëtan PERRIER wrote:
> Le Fri, 13 Aug 2010 16:24:18 +0200
>
> Jean-Jacques Doti > > On Fri, 13 Aug 2010 08:07:11 -0400, Roger Bouchard
> > > >
> > wrote:
> > > Bonjour!
> > >
> > > J'ai justement essayé la manoeuvre hier et ça n'a pas
> > > fonctionné.
> > >
> > > J'ai installé le paquet 'buils-essential', même résultat.
> > >
> > > Je continue à fouiller.
> > >
> > > Roger
> > >
> > > Le 2010-08-12 20:36, Gaëtan PERRIER a écrit :
> > >> Bonjour,
> > >>
> > >> Est-ce que quelqu'un a réussi à installer Google Earth sur une
> > >> testing
> >
> > ?
> >
> > >> Gaëtan
> >
> > Bonjour,
> >
> > Tu pourrais essayer d'installer le paquet googleearth-package
> > d'unstable (contrib) puis d'exécuter le script
> > make-googleearth-package : ce script va télécharger Google Earth
> > puis fabriquer un paquet Debian -> ça facilite beaucoup
> > l'installation,la désinstallation et les mises à jour.
>
> Le script ne fonctionne pas. Il ne reconnaît pas la version de GE:
>
> ~$ make-googleearth-package
> --2010-08-13 23:31:39--
> http://dl.google.com/earth/client/current/GoogleEarthLinux.bin
> Résolution de dl.google.com... 209.85.227.190, 209.85.227.93,
> 209.85.227.91, ... Connexion vers dl.google.com|
> 209.85.227.190|:80...connecté. requête HTTP transmise, en attente
> de la réponse...200 OK Longueur: 31398898 (30M)
> [application/octet-stream] Sauvegarde en : «GoogleEarthLinux.bin»
>
> 100%[====================== ================>] 31 398 898 205K/s
> ds 3m 1s
>
> 2010-08-13 23:34:40 (169 KB/s) - «GoogleEarthLinux.bin» sauvegardé
> [31398898/31398898]
>
> Google Earth for GNU/Linux 5.2.1.1547
> Unrecognized Google Earth version (use --force to build anyway)
>
> Gaëtan

Désolé
En utilisateur
make-googleearth-package --force
Thierry




Pas mieux...

/tmp$ make-googleearth-package --force
--2010-08-13 23:57:02--
http://dl.google.com/earth/client/current/GoogleEarthLinux.bin
Résolution de dl.google.com... 209.85.227.93, 209.85.227.136,
209.85.227.190, ... Connexion vers dl.google.com|
209.85.227.93|:80...connecté. requête HTTP transmise, en attente de la
réponse...200 OK Longueur: 31398898 (30M) [application/octet-stream]
Sauvegarde en : «GoogleEarthLinux.bin»

100%[======================= ===============>] 31 398 898 248K/s ds
2m 14s

2010-08-13 23:59:16 (229 KB/s) - «GoogleEarthLinux.bin» sauvegardé
[31398898/31398898]

Google Earth for GNU/Linux 5.2.1.1547
Unrecognized Google Earth version; using anyway (because of --force).
Guessed Google Earth version: 5.2.1.1547

bzip2: Data integrity error when decompressing.
Input file = (stdin), output file = (stdout)

It is possible that the compressed file(s) have become corrupted.
You can use the -tvv option to test integrity of such files.

You can use the `bzip2recover' program to attempt to recover
data from undamaged sections of corrupted files.

tar: Ceci ne ressemble pas à une archive de type « tar »
tar: Arrêt avec code d'échec à cause des erreurs précédentes
tar: /tmp/googleearth-tmp/googleearth-linux-x86.tar : la fonction open
a échoué: Aucun fichier ou dossier de ce type tar: Error is not
recoverable: exiting now
tar: /tmp/googleearth-tmp/googleearth-data.tar : la fonction open a
échoué: Aucun fichier ou dossier de ce type tar: Error is not
recoverable: exiting now mv: impossible d'évaluer « libssl.so.0.9.8  »:
Aucun fichier ou dossier de ce type cp: impossible d'évaluer
« /tmp/googleearth-tmp/googleearth.xpm »: Aucun fichier ou dossier de
ce type cp: impossible d'évaluer « /tmp/googleearth-tmp/README* »:
Aucun fichier ou dossier de ce type Package: googleearth Version:
5.2.1.1547+0.5.7-1 Section: non-free/science Priority: optional
Maintainer: gpe <xxxxxxxxxxxxxx>
Architecture: i386
Depends: ttf-dejavu | ttf-bitstream-vera | msttcorefonts,
Description: Google Earth, a 3D map/planet viewer
Package built with googleearth-package.
chmod: impossible d'accéder à « usr/lib/googleearth/googleearth-bin  »:
Aucun fichier ou dossier de ce type dpkg-deb: erreur d'analyse, dans le
fichier '/tmp/googleearth-deb/DEBIAN/control' vers la ligne 7 paquet
'googleearth': champ « Depends », nom de paquet manquant, ou absurd ités
à la place d'un nom de paquet Success! You can now install the package
with e.g. sudo dpkg -i <package>.deb

aucun paquet n'est généré.

Gaëtan

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme